From c2ea6c6bd0f8b53b033dae540fd02368353a68b5 Mon Sep 17 00:00:00 2001
From: V3n3RiX <venerix@redcorelinux.org>
Date: Sat, 19 May 2018 13:45:41 +0100
Subject: kde-plasma/kinfocenter : replace Gentoo's branding with our own

---
 kde-plasma/kinfocenter/Manifest                    |   1 +
 kde-plasma/kinfocenter/files/glogo-small.png       | Bin 0 -> 26956 bytes
 kde-plasma/kinfocenter/files/kcm-about-distrorc    |   4 +
 .../kinfocenter/kinfocenter-5.12.5-r1.ebuild       |  90 +++++++++++++++++++++
 4 files changed, 95 insertions(+)
 create mode 100644 kde-plasma/kinfocenter/Manifest
 create mode 100644 kde-plasma/kinfocenter/files/glogo-small.png
 create mode 100644 kde-plasma/kinfocenter/files/kcm-about-distrorc
 create mode 100644 kde-plasma/kinfocenter/kinfocenter-5.12.5-r1.ebuild

diff --git a/kde-plasma/kinfocenter/Manifest b/kde-plasma/kinfocenter/Manifest
new file mode 100644
index 00000000..0197ab4d
--- /dev/null
+++ b/kde-plasma/kinfocenter/Manifest
@@ -0,0 +1 @@
+DIST kinfocenter-5.12.5.tar.xz 1270224 BLAKE2B 5c2b0148f82862d32393804bd98ca99ec71f476d4103f015f159420223bb695b8d237673aa94c12d9be4147b36c52d9cbbd0d8f0e69208f6afcb18363283a50f SHA512 f8178452b2611473733ec707be1683234bcd22bac381d6d8fa47e695653c5d2983dab37dd24dea19024cd4a68e4736bb08a3b197c8a6932a45c927ee7a61638d
diff --git a/kde-plasma/kinfocenter/files/glogo-small.png b/kde-plasma/kinfocenter/files/glogo-small.png
new file mode 100644
index 00000000..ca3fe2b5
Binary files /dev/null and b/kde-plasma/kinfocenter/files/glogo-small.png differ
diff --git a/kde-plasma/kinfocenter/files/kcm-about-distrorc b/kde-plasma/kinfocenter/files/kcm-about-distrorc
new file mode 100644
index 00000000..b51530d0
--- /dev/null
+++ b/kde-plasma/kinfocenter/files/kcm-about-distrorc
@@ -0,0 +1,4 @@
+[General]
+Name=Redcore Linux Hardened
+LogoPath=/usr/share/kinfocenter/glogo-small.png
+Website=https://redcorelinux.org/
diff --git a/kde-plasma/kinfocenter/kinfocenter-5.12.5-r1.ebuild b/kde-plasma/kinfocenter/kinfocenter-5.12.5-r1.ebuild
new file mode 100644
index 00000000..f2c34829
--- /dev/null
+++ b/kde-plasma/kinfocenter/kinfocenter-5.12.5-r1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="true"
+inherit kde5
+
+DESCRIPTION="A utility that provides information about a computer system"
+HOMEPAGE="https://www.kde.org/applications/system/kinfocenter/"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="gles2 ieee1394 +opengl +pci wayland"
+
+REQUIRED_USE="wayland? ( || ( gles2 opengl ) )"
+
+COMMON_DEPEND="
+	$(add_frameworks_dep kcmutils)
+	$(add_frameworks_dep kcompletion)
+	$(add_frameworks_dep kconfig)
+	$(add_frameworks_dep kconfigwidgets)
+	$(add_frameworks_dep kcoreaddons)
+	$(add_frameworks_dep kcrash)
+	$(add_frameworks_dep kdbusaddons)
+	$(add_frameworks_dep kdeclarative)
+	$(add_frameworks_dep ki18n)
+	$(add_frameworks_dep kiconthemes)
+	$(add_frameworks_dep kio)
+	$(add_frameworks_dep kpackage)
+	$(add_frameworks_dep kservice)
+	$(add_frameworks_dep kwidgetsaddons)
+	$(add_frameworks_dep kxmlgui)
+	$(add_frameworks_dep solid)
+	$(add_qt_dep qtdbus)
+	$(add_qt_dep qtdeclarative)
+	$(add_qt_dep qtgui)
+	$(add_qt_dep qtwidgets)
+	x11-libs/libX11
+	ieee1394? ( sys-libs/libraw1394 )
+	opengl? (
+		$(add_qt_dep qtgui 'gles2=')
+		media-libs/mesa[gles2?]
+		!gles2? ( media-libs/glu )
+	)
+	pci? ( sys-apps/pciutils )
+	wayland? (
+		$(add_frameworks_dep kwayland)
+		media-libs/mesa[egl]
+	)
+"
+DEPEND="${COMMON_DEPEND}
+	$(add_frameworks_dep plasma)
+"
+RDEPEND="${COMMON_DEPEND}
+	$(add_plasma_dep kde-cli-tools)
+	!kde-apps/kcontrol:4
+	!kde-misc/about-distro
+	!kde-plasma/kinfocenter:4
+"
+
+src_configure() {
+	local mycmakeargs=(
+		$(cmake-utils_use_find_package gles2 OpenGLES)
+		$(cmake-utils_use_find_package ieee1394 RAW1394)
+		$(cmake-utils_use_find_package opengl OpenGL)
+		$(cmake-utils_use_find_package pci PCIUTILS)
+		$(cmake-utils_use_find_package wayland EGL)
+		$(cmake-utils_use_find_package wayland KF5Wayland)
+	)
+
+	kde5_src_configure
+}
+
+src_install() {
+	kde5_src_install
+
+	insinto /etc/xdg
+	doins "${FILESDIR}"/kcm-about-distrorc
+
+	insinto /usr/share/${PN}
+	doins "${FILESDIR}"/glogo-small.png
+}
+
+pkg_postinst() {
+	if ! has_version "net-fs/nfs-utils"; then
+		einfo "Installing net-fs/nfs-utils will enable the NFS information module."
+	fi
+	if ! has_version "net-fs/samba" || ! has_version "net-fs/samba[server]"; then
+		einfo "Installing net-fs/samba[server(+)] will enable the Samba status information module."
+	fi
+}
-- 
cgit v1.2.3